# azure.mgmt.network.v2015_06_15.operations module

class `azure.mgmt.network.v2015_06_15.operations.``ApplicationGatewaysOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ApplicationGatewaysOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, application_gateway_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates the specified application gateway.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - application_gateway_name (str) – The name of the application gateway.
    - parameters (ApplicationGateway) – Parameters supplied to the create or update application gateway operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ApplicationGateway or ClientRawResponse<ApplicationGateway> if raw==True
    Return type: | AzureOperationPoller[ApplicationGateway] or AzureOperationPoller[ClientRawResponse[ApplicationGateway]]
    Raises: | `CloudError`

  `delete`(resource_group_name, application_gateway_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified application gateway.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - application_gateway_name (str) – The name of the application gateway.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, application_gateway_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified application gateway.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - application_gateway_name (str) – The name of the application gateway.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ApplicationGateway or ClientRawResponse if raw=true
    Return type: | ApplicationGateway or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all application gateways in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ApplicationGateway
    Return type: | ApplicationGatewayPaged[ApplicationGateway]
    Raises: | `CloudError`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Gets all the application gateways in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ApplicationGateway
    Return type: | ApplicationGatewayPaged[ApplicationGateway]
    Raises: | `CloudError`

  `start`(resource_group_name, application_gateway_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts the specified application gateway.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - application_gateway_name (str) – The name of the application gateway.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `stop`(resource_group_name, application_gateway_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Stops the specified application gateway in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - application_gateway_name (str) – The name of the application gateway.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``ExpressRouteCircuitAuthorizationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ExpressRouteCircuitAuthorizationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, circuit_name, authorization_name, authorization_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates an authorization in the specified express route circuit.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the express route circuit.
    - authorization_name (str) – The name of the authorization.
    - authorization_parameters (ExpressRouteCircuitAuthorization) – Parameters supplied to the create or update express route circuit authorization operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ExpressRouteCircuitAuthorization or ClientRawResponse<ExpressRouteCircuitAuthorization> if raw==True
    Return type: | AzureOperationPoller[ExpressRouteCircuitAuthorization] or AzureOperationPoller[ClientRawResponse[ExpressRouteCircuitAuthorization]]
    Raises: | `CloudError`

  `delete`(resource_group_name, circuit_name, authorization_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified authorization from the specified express route circuit.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the express route circuit.
    - authorization_name (str) – The name of the authorization.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, circuit_name, authorization_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified authorization from the specified express route circuit.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the express route circuit.
    - authorization_name (str) – The name of the authorization.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ExpressRouteCircuitAuthorization or ClientRawResponse if raw=true
    Return type: | ExpressRouteCircuitAuthorization or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, circuit_name, custom_headers=None, raw=False, **operation_config)

    Gets all authorizations in an express route circuit.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the circuit.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ExpressRouteCircuitAuthorization
    Return type: | ExpressRouteCircuitAuthorizationPaged[ExpressRouteCircuitAuthorization]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``ExpressRouteCircuitPeeringsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ExpressRouteCircuitPeeringsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, circuit_name, peering_name, peering_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a peering in the specified express route circuits.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the express route circuit.
    - peering_name (str) – The name of the peering.
    - peering_parameters (ExpressRouteCircuitPeering) – Parameters supplied to the create or update express route circuit peering operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ExpressRouteCircuitPeering or ClientRawResponse<ExpressRouteCircuitPeering> if raw==True
    Return type: | AzureOperationPoller[ExpressRouteCircuitPeering] or AzureOperationPoller[ClientRawResponse[ExpressRouteCircuitPeering]]
    Raises: | `CloudError`

  `delete`(resource_group_name, circuit_name, peering_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified peering from the specified express route circuit.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the express route circuit.
    - peering_name (str) – The name of the peering.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, circuit_name, peering_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified authorization from the specified express route circuit.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the express route circuit.
    - peering_name (str) – The name of the peering.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ExpressRouteCircuitPeering or ClientRawResponse if raw=true
    Return type: | ExpressRouteCircuitPeering or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, circuit_name, custom_headers=None, raw=False, **operation_config)

    Gets all peerings in a specified express route circuit.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the express route circuit.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ExpressRouteCircuitPeering
    Return type: | ExpressRouteCircuitPeeringPaged[ExpressRouteCircuitPeering]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``ExpressRouteCircuitsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ExpressRouteCircuitsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, circuit_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates an express route circuit.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the circuit.
    - parameters (ExpressRouteCircuit) – Parameters supplied to the create or update express route circuit operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ExpressRouteCircuit or ClientRawResponse<ExpressRouteCircuit> if raw==True
    Return type: | AzureOperationPoller[ExpressRouteCircuit] or AzureOperationPoller[ClientRawResponse[ExpressRouteCircuit]]
    Raises: | `CloudError`

  `delete`(resource_group_name, circuit_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified express route circuit.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the express route circuit.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, circuit_name, custom_headers=None, raw=False, **operation_config)

    Gets information about the specified express route circuit.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of express route circuit.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ExpressRouteCircuit or ClientRawResponse if raw=true
    Return type: | ExpressRouteCircuit or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all the express route circuits in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ExpressRouteCircuit
    Return type: | ExpressRouteCircuitPaged[ExpressRouteCircuit]
    Raises: | `CloudError`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Gets all the express route circuits in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ExpressRouteCircuit
    Return type: | ExpressRouteCircuitPaged[ExpressRouteCircuit]
    Raises: | `CloudError`

  `list_arp_table`(resource_group_name, circuit_name, custom_headers=None, raw=False, **operation_config)

    The ListArpTable from ExpressRouteCircuit operation retrieves the currently advertised arp table associated with the ExpressRouteCircuits in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the circuit.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ExpressRouteCircuitArpTable
    Return type: | ExpressRouteCircuitArpTablePaged[ExpressRouteCircuitArpTable]
    Raises: | `CloudError`

  `list_routes_table`(resource_group_name, circuit_name, custom_headers=None, raw=False, **operation_config)

    The ListRoutesTable from ExpressRouteCircuit operation retrieves the currently advertised routes table associated with the ExpressRouteCircuits in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the circuit.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ExpressRouteCircuitRoutesTable
    Return type: | ExpressRouteCircuitRoutesTablePaged[ExpressRouteCircuitRoutesTable]
    Raises: | `CloudError`

  `list_stats`(resource_group_name, circuit_name, custom_headers=None, raw=False, **operation_config)

    The ListStats ExpressRouteCircuit operation retrieves all the stats from a ExpressRouteCircuits in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - circuit_name (str) – The name of the loadBalancer.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ExpressRouteCircuitStats
    Return type: | ExpressRouteCircuitStatsPaged[ExpressRouteCircuitStats]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``ExpressRouteServiceProvidersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ExpressRouteServiceProvidersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets all the available express route service providers.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ExpressRouteServiceProvider
    Return type: | ExpressRouteServiceProviderPaged[ExpressRouteServiceProvider]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``LoadBalancersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LoadBalancersOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, load_balancer_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a load balancer.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - load_balancer_name (str) – The name of the load balancer.
    - parameters (LoadBalancer) – Parameters supplied to the create or update load balancer operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns LoadBalancer or ClientRawResponse<LoadBalancer> if raw==True
    Return type: | AzureOperationPoller[LoadBalancer] or AzureOperationPoller[ClientRawResponse[LoadBalancer]]
    Raises: | `CloudError`

  `delete`(resource_group_name, load_balancer_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified load balancer.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - load_balancer_name (str) – The name of the load balancer.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, load_balancer_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets the specified load balancer.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - load_balancer_name (str) – The name of the load balancer.
    - expand (str) – Expands referenced resources.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | LoadBalancer or ClientRawResponse if raw=true
    Return type: | LoadBalancer or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all the load balancers in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of LoadBalancer
    Return type: | LoadBalancerPaged[LoadBalancer]
    Raises: | `CloudError`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Gets all the load balancers in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of LoadBalancer
    Return type: | LoadBalancerPaged[LoadBalancer]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``NetworkInterfacesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NetworkInterfacesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, network_interface_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a network interface.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - network_interface_name (str) – The name of the network interface.
    - parameters (NetworkInterface) – Parameters supplied to the create or update network interface operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns NetworkInterface or ClientRawResponse<NetworkInterface> if raw==True
    Return type: | AzureOperationPoller[NetworkInterface] or AzureOperationPoller[ClientRawResponse[NetworkInterface]]
    Raises: | `CloudError`

  `delete`(resource_group_name, network_interface_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified network interface.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - network_interface_name (str) – The name of the network interface.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, network_interface_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets information about the specified network interface.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - network_interface_name (str) – The name of the network interface.
    - expand (str) – Expands referenced resources.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NetworkInterface or ClientRawResponse if raw=true
    Return type: | NetworkInterface or ClientRawResponse
    Raises: | `CloudError`

  `get_virtual_machine_scale_set_network_interface`(resource_group_name, virtual_machine_scale_set_name, virtualmachine_index, network_interface_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Get the specified network interface in a virtual machine scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_machine_scale_set_name (str) – The name of the virtual machine scale set.
    - virtualmachine_index (str) – The virtual machine index.
    - network_interface_name (str) – The name of the network interface.
    - expand (str) – Expands referenced resources.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NetworkInterface or ClientRawResponse if raw=true
    Return type: | NetworkInterface or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all network interfaces in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of NetworkInterface
    Return type: | NetworkInterfacePaged[NetworkInterface]
    Raises: | `CloudError`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Gets all network interfaces in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of NetworkInterface
    Return type: | NetworkInterfacePaged[NetworkInterface]
    Raises: | `CloudError`

  `list_virtual_machine_scale_set_network_interfaces`(resource_group_name, virtual_machine_scale_set_name, custom_headers=None, raw=False, **operation_config)

    Gets all network interfaces in a virtual machine scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_machine_scale_set_name (str) – The name of the virtual machine scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of NetworkInterface
    Return type: | NetworkInterfacePaged[NetworkInterface]
    Raises: | `CloudError`

  `list_virtual_machine_scale_set_vm_network_interfaces`(resource_group_name, virtual_machine_scale_set_name, virtualmachine_index, custom_headers=None, raw=False, **operation_config)

    Gets information about all network interfaces in a virtual machine in a virtual machine scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_machine_scale_set_name (str) – The name of the virtual machine scale set.
    - virtualmachine_index (str) – The virtual machine index.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of NetworkInterface
    Return type: | NetworkInterfacePaged[NetworkInterface]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``NetworkSecurityGroupsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NetworkSecurityGroupsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, network_security_group_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a network security group in the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - network_security_group_name (str) – The name of the network security group.
    - parameters (NetworkSecurityGroup) – Parameters supplied to the create or update network security group operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns NetworkSecurityGroup or ClientRawResponse<NetworkSecurityGroup> if raw==True
    Return type: | AzureOperationPoller[NetworkSecurityGroup] or AzureOperationPoller[ClientRawResponse[NetworkSecurityGroup]]
    Raises: | `CloudError`

  `delete`(resource_group_name, network_security_group_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified network security group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - network_security_group_name (str) – The name of the network security group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, network_security_group_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets the specified network security group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - network_security_group_name (str) – The name of the network security group.
    - expand (str) – Expands referenced resources.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NetworkSecurityGroup or ClientRawResponse if raw=true
    Return type: | NetworkSecurityGroup or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all network security groups in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of NetworkSecurityGroup
    Return type: | NetworkSecurityGroupPaged[NetworkSecurityGroup]
    Raises: | `CloudError`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Gets all network security groups in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of NetworkSecurityGroup
    Return type: | NetworkSecurityGroupPaged[NetworkSecurityGroup]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``SecurityRulesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SecurityRulesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, network_security_group_name, security_rule_name, security_rule_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a security rule in the specified network security group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - network_security_group_name (str) – The name of the network security group.
    - security_rule_name (str) – The name of the security rule.
    - security_rule_parameters (SecurityRule) – Parameters supplied to the create or update network security rule operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns SecurityRule or ClientRawResponse<SecurityRule> if raw==True
    Return type: | AzureOperationPoller[SecurityRule] or AzureOperationPoller[ClientRawResponse[SecurityRule]]
    Raises: | `CloudError`

  `delete`(resource_group_name, network_security_group_name, security_rule_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified network security rule.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - network_security_group_name (str) – The name of the network security group.
    - security_rule_name (str) – The name of the security rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, network_security_group_name, security_rule_name, custom_headers=None, raw=False, **operation_config)

    Get the specified network security rule.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - network_security_group_name (str) – The name of the network security group.
    - security_rule_name (str) – The name of the security rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SecurityRule or ClientRawResponse if raw=true
    Return type: | SecurityRule or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, network_security_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all security rules in a network security group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - network_security_group_name (str) – The name of the network security group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SecurityRule
    Return type: | SecurityRulePaged[SecurityRule]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``PublicIPAddressesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  PublicIPAddressesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, public_ip_address_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a static or dynamic public IP address.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - public_ip_address_name (str) – The name of the public IP address.
    - parameters (PublicIPAddress) – Parameters supplied to the create or update public IP address operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns PublicIPAddress or ClientRawResponse<PublicIPAddress> if raw==True
    Return type: | AzureOperationPoller[PublicIPAddress] or AzureOperationPoller[ClientRawResponse[PublicIPAddress]]
    Raises: | `CloudError`

  `delete`(resource_group_name, public_ip_address_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified public IP address.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - public_ip_address_name (str) – The name of the subnet.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, public_ip_address_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets the specified public IP address in a specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - public_ip_address_name (str) – The name of the subnet.
    - expand (str) – Expands referenced resources.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | PublicIPAddress or ClientRawResponse if raw=true
    Return type: | PublicIPAddress or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all public IP addresses in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of PublicIPAddress
    Return type: | PublicIPAddressPaged[PublicIPAddress]
    Raises: | `CloudError`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Gets all the public IP addresses in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of PublicIPAddress
    Return type: | PublicIPAddressPaged[PublicIPAddress]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``RouteTablesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RouteTablesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, route_table_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or updates a route table in a specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - route_table_name (str) – The name of the route table.
    - parameters (RouteTable) – Parameters supplied to the create or update route table operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns RouteTable or ClientRawResponse<RouteTable> if raw==True
    Return type: | AzureOperationPoller[RouteTable] or AzureOperationPoller[ClientRawResponse[RouteTable]]
    Raises: | `CloudError`

  `delete`(resource_group_name, route_table_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified route table.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - route_table_name (str) – The name of the route table.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, route_table_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets the specified route table.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - route_table_name (str) – The name of the route table.
    - expand (str) – Expands referenced resources.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RouteTable or ClientRawResponse if raw=true
    Return type: | RouteTable or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all route tables in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RouteTable
    Return type: | RouteTablePaged[RouteTable]
    Raises: | `CloudError`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Gets all route tables in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RouteTable
    Return type: | RouteTablePaged[RouteTable]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``RoutesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RoutesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, route_table_name, route_name, route_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a route in the specified route table.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - route_table_name (str) – The name of the route table.
    - route_name (str) – The name of the route.
    - route_parameters (Route) – Parameters supplied to the create or update route operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Route or ClientRawResponse<Route> if raw==True
    Return type: | AzureOperationPoller[Route] or AzureOperationPoller[ClientRawResponse[Route]]
    Raises: | `CloudError`

  `delete`(resource_group_name, route_table_name, route_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified route from a route table.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - route_table_name (str) – The name of the route table.
    - route_name (str) – The name of the route.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, route_table_name, route_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified route from a route table.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - route_table_name (str) – The name of the route table.
    - route_name (str) – The name of the route.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Route or ClientRawResponse if raw=true
    Return type: | Route or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, route_table_name, custom_headers=None, raw=False, **operation_config)

    Gets all routes in a route table.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - route_table_name (str) – The name of the route table.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Route
    Return type: | RoutePaged[Route]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``UsagesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  UsagesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `list`(location, custom_headers=None, raw=False, **operation_config)

    Lists compute usages for a subscription.

    Parameters:

    - location (str) – The location where resource usage is queried.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Usage
    Return type: | UsagePaged[Usage]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``VirtualNetworksOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualNetworksOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, virtual_network_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a virtual network in the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_name (str) – The name of the virtual network.
    - parameters (VirtualNetwork) – Parameters supplied to the create or update virtual network operation
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualNetwork or ClientRawResponse<VirtualNetwork> if raw==True
    Return type: | AzureOperationPoller[VirtualNetwork] or AzureOperationPoller[ClientRawResponse[VirtualNetwork]]
    Raises: | `CloudError`

  `delete`(resource_group_name, virtual_network_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified virtual network.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_name (str) – The name of the virtual network.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, virtual_network_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets the specified virtual network by resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_name (str) – The name of the virtual network.
    - expand (str) – Expands referenced resources.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualNetwork or ClientRawResponse if raw=true
    Return type: | VirtualNetwork or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all virtual networks in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualNetwork
    Return type: | VirtualNetworkPaged[VirtualNetwork]
    Raises: | `CloudError`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Gets all virtual networks in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualNetwork
    Return type: | VirtualNetworkPaged[VirtualNetwork]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``SubnetsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SubnetsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, virtual_network_name, subnet_name, subnet_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a subnet in the specified virtual network.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_name (str) – The name of the virtual network.
    - subnet_name (str) – The name of the subnet.
    - subnet_parameters (Subnet) – Parameters supplied to the create or update subnet operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Subnet or ClientRawResponse<Subnet> if raw==True
    Return type: | AzureOperationPoller[Subnet] or AzureOperationPoller[ClientRawResponse[Subnet]]
    Raises: | `CloudError`

  `delete`(resource_group_name, virtual_network_name, subnet_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified subnet.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_name (str) – The name of the virtual network.
    - subnet_name (str) – The name of the subnet.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, virtual_network_name, subnet_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets the specified subnet by virtual network and resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_name (str) – The name of the virtual network.
    - subnet_name (str) – The name of the subnet.
    - expand (str) – Expands referenced resources.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Subnet or ClientRawResponse if raw=true
    Return type: | Subnet or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, virtual_network_name, custom_headers=None, raw=False, **operation_config)

    Gets all subnets in a virtual network.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_name (str) – The name of the virtual network.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Subnet
    Return type: | SubnetPaged[Subnet]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``VirtualNetworkGatewaysOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualNetworkGatewaysOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, virtual_network_gateway_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a virtual network gateway in the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_name (str) – The name of the virtual network gateway.
    - parameters (VirtualNetworkGateway) – Parameters supplied to create or update virtual network gateway operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualNetworkGateway or ClientRawResponse<VirtualNetworkGateway> if raw==True
    Return type: | AzureOperationPoller[VirtualNetworkGateway] or AzureOperationPoller[ClientRawResponse[VirtualNetworkGateway]]
    Raises: | `CloudError`

  `delete`(resource_group_name, virtual_network_gateway_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified virtual network gateway.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_name (str) – The name of the virtual network gateway.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `generatevpnclientpackage`(resource_group_name, virtual_network_gateway_name, processor_architecture=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Generates VPN client package for P2S client of the virtual network gateway in the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_name (str) – The name of the virtual network gateway.
    - processor_architecture (str or ProcessorArchitecture) – VPN client Processor Architecture. Possible values are: ‘AMD64’ and ‘X86’. Possible values include: ‘Amd64’, ‘X86’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns str or ClientRawResponse<str> if raw==True
    Return type: | AzureOperationPoller[str] or AzureOperationPoller[ClientRawResponse[str]]
    Raises: | `CloudError`

  `get`(resource_group_name, virtual_network_gateway_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified virtual network gateway by resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_name (str) – The name of the virtual network gateway.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualNetworkGateway or ClientRawResponse if raw=true
    Return type: | VirtualNetworkGateway or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all virtual network gateways by resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualNetworkGateway
    Return type: | VirtualNetworkGatewayPaged[VirtualNetworkGateway]
    Raises: | `CloudError`

  `reset`(resource_group_name, virtual_network_gateway_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Resets the primary of the virtual network gateway in the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_name (str) – The name of the virtual network gateway.
    - parameters (VirtualNetworkGateway) – Virtual network gateway vip address supplied to the begin reset of the active-active feature enabled gateway.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualNetworkGateway or ClientRawResponse<VirtualNetworkGateway> if raw==True
    Return type: | AzureOperationPoller[VirtualNetworkGateway] or AzureOperationPoller[ClientRawResponse[VirtualNetworkGateway]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``VirtualNetworkGatewayConnectionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualNetworkGatewayConnectionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, virtual_network_gateway_connection_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a virtual network gateway connection in the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_connection_name (str) – The name of the virtual network gateway connection.
    - parameters (VirtualNetworkGatewayConnection) – Parameters supplied to the create or update virtual network gateway connection operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualNetworkGatewayConnection or ClientRawResponse<VirtualNetworkGatewayConnection> if raw==True
    Return type: | AzureOperationPoller[VirtualNetworkGatewayConnection] or AzureOperationPoller[ClientRawResponse[VirtualNetworkGatewayConnection]]
    Raises: | `CloudError`

  `delete`(resource_group_name, virtual_network_gateway_connection_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified virtual network Gateway connection.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_connection_name (str) – The name of the virtual network gateway connection.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, virtual_network_gateway_connection_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified virtual network gateway connection by resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_connection_name (str) – The name of the virtual network gateway connection.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualNetworkGatewayConnection or ClientRawResponse if raw=true
    Return type: | VirtualNetworkGatewayConnection or ClientRawResponse
    Raises: | `CloudError`

  `get_shared_key`(resource_group_name, virtual_network_gateway_connection_name, custom_headers=None, raw=False, **operation_config)

    The Get VirtualNetworkGatewayConnectionSharedKey operation retrieves information about the specified virtual network gateway connection shared key through Network resource provider.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_connection_name (str) – The virtual network gateway connection shared key name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ConnectionSharedKeyResult or ClientRawResponse if raw=true
    Return type: | ConnectionSharedKeyResult or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    The List VirtualNetworkGatewayConnections operation retrieves all the virtual network gateways connections created.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualNetworkGatewayConnection
    Return type: | VirtualNetworkGatewayConnectionPaged[VirtualNetworkGatewayConnection]
    Raises: | `CloudError`

  `reset_shared_key`(resource_group_name, virtual_network_gateway_connection_name, key_length=None, custom_headers=None, raw=False, polling=True, **operation_config)

    The VirtualNetworkGatewayConnectionResetSharedKey operation resets the virtual network gateway connection shared key for passed virtual network gateway connection in the specified resource group through Network resource provider.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_connection_name (str) – The virtual network gateway connection reset shared key Name.
    - key_length (long) – The virtual network connection reset shared key length
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ConnectionResetSharedKey or ClientRawResponse<ConnectionResetSharedKey> if raw==True
    Return type: | AzureOperationPoller[ConnectionResetSharedKey] or AzureOperationPoller[ClientRawResponse[ConnectionResetSharedKey]]
    Raises: | `CloudError`

  `set_shared_key`(resource_group_name, virtual_network_gateway_connection_name, value=None, custom_headers=None, raw=False, polling=True, **operation_config)

    The Put VirtualNetworkGatewayConnectionSharedKey operation sets the virtual network gateway connection shared key for passed virtual network gateway connection in the specified resource group through Network resource provider.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_gateway_connection_name (str) – The virtual network gateway connection name.
    - value (str) – The virtual network connection shared key value
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ConnectionSharedKey or ClientRawResponse<ConnectionSharedKey> if raw==True
    Return type: | AzureOperationPoller[ConnectionSharedKey] or AzureOperationPoller[ClientRawResponse[ConnectionSharedKey]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``LocalNetworkGatewaysOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LocalNetworkGatewaysOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2015-06-15”.

  `create_or_update`(resource_group_name, local_network_gateway_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a local network gateway in the specified resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - local_network_gateway_name (str) – The name of the local network gateway.
    - parameters (LocalNetworkGateway) – Parameters supplied to the create or update local network gateway operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns LocalNetworkGateway or ClientRawResponse<LocalNetworkGateway> if raw==True
    Return type: | AzureOperationPoller[LocalNetworkGateway] or AzureOperationPoller[ClientRawResponse[LocalNetworkGateway]]
    Raises: | `CloudError`

  `delete`(resource_group_name, local_network_gateway_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes the specified local network gateway.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - local_network_gateway_name (str) – The name of the local network gateway.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, local_network_gateway_name, custom_headers=None, raw=False, **operation_config)

    Gets the specified local network gateway in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - local_network_gateway_name (str) – The name of the local network gateway.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | LocalNetworkGateway or ClientRawResponse if raw=true
    Return type: | LocalNetworkGateway or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets all the local network gateways in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of LocalNetworkGateway
    Return type: | LocalNetworkGatewayPaged[LocalNetworkGateway]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.network.v2015_06_15.models' from '/usr/lib/python3/dist-packages/azure/mgmt/network/v2015_06_15/models/__init__.py'>

class `azure.mgmt.network.v2015_06_15.operations.``NetworkManagementClientOperationsMixin`

  Bases: `object`

  `check_dns_name_availability`(location, domain_name_label=None, custom_headers=None, raw=False, **operation_config)

    Checks whether a domain name in the cloudapp.net zone is available for use.

    Parameters:

    - location (str) – The location of the domain name.
    - domain_name_label (str) – The domain name to be verified. It must conform to the following regular expression: ^[a-z][a-z0-9-]{1,61}[a-z0-9]$.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DnsNameAvailabilityResult or ClientRawResponse if raw=true
    Return type: | DnsNameAvailabilityResult or ClientRawResponse
    Raises: | `CloudError`